0

Usually I post process my RAW files in Lightroom, but sometimes I need to apply some filters and other corrections using the Photoshop. You can do that by right clicking the image in the Lightroom, and click Edit in-> Edit in Photoshop CS6. I get the warning message which says:

This version of lightroom may require the photoshop camera raw plug-in version 8.4 for full compatibility!

This version of lightroom may require the photoshop camera raw plug-in version 8.4 for full compatibility!

Is there any way I can download version 8.4 of Camera Raw plugin? I've found and installed DNG converter 8.4 but the error message is still appearing.

The newer version of the plugin is neither appearing in the Photoshop Help->Update section.

Is there any solution to this problem?

I'm using Lightroom 5.4 and Photoshop CS6.

  • 1
    Just render using LR... it will work just fine and you can work in TIFF. – dpollitt Aug 31 '14 at 21:52
  • helpx.adobe.com/x-productkb/multi/… -- current version is 8.6. It won't necessarily get you around the new functionality thing, but it'll be better than the DNG converter, particularly if you use Smart Objects. – user28116 Sep 1 '14 at 5:57
4

ACR updates for CS6 only include new profiles, no new functionality anymore. Lightroom is complaining because it potentially uses these features, which would get lost if you opened the file in CS6.

so, unfortunately, you either have to use the "render via lightroom" option, or aquire Photoshop CC.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.